# Boost Exception

## boost/exception/exception.hpp

### Synopsis

    namespace
    boost
        {
        class
        exception
            {
            protected:

            exception();
            exception( exception const & x );
            ~exception();
            };

        template <class Tag,class T>
        class error_info;

        typedef error_info<struct throw_function_,char const *> throw_function;
        typedef error_info<struct throw_file_,char const *> throw_file;
        typedef error_info<struct throw_line_,int> throw_line;
        }

See also: BOOST_THROW_EXCEPTION | boost/exception/all.hpp | boost/exception/enable_current_exception.hpp | boost/exception/enable_error_info.hpp | boost/exception/info.hpp | boost/exception_ptr.hpp | exception | Synopsis